## qtimageformats-opensource-src 5.15.2

=== debian/changelog ===
qtimageformats-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:55 +0300

qtimageformats-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Nov 2020 20:33:32 +0300

qtimageformats-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:27 +0300

=== debian/control ===
Source: qtimageformats-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Patrick Franz <patfra71@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1),
               libmng-dev,
               libtiff-dev,
               libwebp-dev (>= 0.4.0-4.1~),
               qtbase5-dev (>= 5.15.2+dfsg~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats

Package: qt5-image-formats-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Image Formats module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
 WBMP and WEBP image formats.

## qtimageformats-opensource-src 5.15.3

=== debian/changelog ===
qtimageformats-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update email address for Patrick Franz.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2022 22:01:29 +0300

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-           Patrick Franz <patfra71@gmail.com>
+           Patrick Franz <deltaone@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1),
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.2+dfsg~)
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.3+dfsg~)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtimageformats-everywhere-opensource-src-([^-]*)\.tar\.xz

## qtimageformats-opensource-src 5.15.6

=== debian/changelog ===
qtimageformats-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:23:05 +0300

qtimageformats-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 11:58:56 +0300

qtimageformats-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:30 +0300

qtimageformats-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:09:17 +0300

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.3+dfsg~)
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.15.6+dfsg~)
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git

## qtimageformats-opensource-src 5.15.8

=== debian/changelog ===
qtimageformats-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 11:47:01 +0400

qtimageformats-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:19:02 +0400

qtimageformats-opensource-src (5.15.7-3) unstable; urgency=medium

  * Fix tests with libtiff 4.5 (closes: #1027679).
    - Depend on qtbase version which has image_deletion_order.diff.
    - Add a patch to implement support for file memory mapping for tiff.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Jan 2023 17:35:55 +0400

qtimageformats-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:16 +0300

qtimageformats-opensource-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:48:37 +0300

qtimageformats-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:48 +0300

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.6+dfsg~)
-Standards-Version: 4.6.1
+               qtbase5-dev (>= 5.15.8+dfsg~)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git

## qtimageformats-opensource-src 5.15.10

=== debian/changelog ===
qtimageformats-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:14:34 +0300

qtimageformats-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 00:14:14 +0300

qtimageformats-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 00:04:40 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.8+dfsg~)
+               qtbase5-dev (>= 5.15.10+dfsg~)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html

## qtimageformats-opensource-src 5.15.12

=== debian/changelog ===
qtimageformats-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 01:02:42 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.10+dfsg~)
+               qtbase5-dev (>= 5.15.12+dfsg~)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html

## qtimageformats-opensource-src 5.15.13

=== debian/changelog ===
qtimageformats-opensource-src (5.15.13-2) unstable; urgency=medium

  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:47:26 +0300

qtimageformats-opensource-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.
  * Update debian/copyright.
  * Drop tiff_memory_mapping.diff, included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Mar 2024 17:54:20 +0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,6 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
            Patrick Franz <deltaone@debian.org>
@@ -14,7 +12,7 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.12+dfsg~)
+               qtbase5-dev (>= 5.15.13+dfsg~)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html

## qtimageformats-opensource-src 5.15.15

=== src/plugins/imageformats/webp/CMakeLists.txt ===
# Generated from webp.pro.

#####################################################################
## QWebpPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWebpPlugin
    OUTPUT_NAME qwebp
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qwebphandler.cpp qwebphandler_p.h
    LIBRARIES
        Qt::Core
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:webp.pro:<TRUE>:
# OTHER_FILES = "webp.json"
# QT_FOR_CONFIG = "imageformats-private"

## Scopes:
#####################################################################

qt_internal_extend_target(QWebpPlugin CONDITION QT_FEATURE_system_webp
    LIBRARIES
        WrapWebP::WrapWebP
)

qt_internal_extend_target(QWebpPlugin CONDITION NOT QT_FEATURE_system_webp
    SOURCES
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_cpu.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_csp.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_dsp.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_gamma.c
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_sse2.c
        ../../../3rdparty/libwebp/src/dec/alpha_dec.c
        ../../../3rdparty/libwebp/src/dec/buffer_dec.c
        ../../../3rdparty/libwebp/src/dec/frame_dec.c
        ../../../3rdparty/libwebp/src/dec/idec_dec.c
        ../../../3rdparty/libwebp/src/dec/io_dec.c
        ../../../3rdparty/libwebp/src/dec/quant_dec.c
        ../../../3rdparty/libwebp/src/dec/tree_dec.c
        ../../../3rdparty/libwebp/src/dec/vp8_dec.c
        ../../../3rdparty/libwebp/src/dec/vp8l_dec.c
        ../../../3rdparty/libwebp/src/dec/webp_dec.c
        ../../../3rdparty/libwebp/src/demux/anim_decode.c
        ../../../3rdparty/libwebp/src/demux/demux.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_sse2.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_sse41.c
        ../../../3rdparty/libwebp/src/dsp/cost.c
        ../../../3rdparty/libwebp/src/dsp/cost_mips32.c
        ../../../3rdparty/libwebp/src/dsp/cost_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/cost_neon.c
        ../../../3rdparty/libwebp/src/dsp/cost_sse2.c
        ../../../3rdparty/libwebp/src/dsp/cpu.c
        ../../../3rdparty/libwebp/src/dsp/dec.c
        ../../../3rdparty/libwebp/src/dsp/dec_clip_tables.c
        ../../../3rdparty/libwebp/src/dsp/dec_mips32.c
        ../../../3rdparty/libwebp/src/dsp/dec_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/dec_msa.c
        ../../../3rdparty/libwebp/src/dsp/dec_sse2.c
        ../../../3rdparty/libwebp/src/dsp/dec_sse41.c
        ../../../3rdparty/libwebp/src/dsp/enc.c
        ../../../3rdparty/libwebp/src/dsp/enc_mips32.c
        ../../../3rdparty/libwebp/src/dsp/enc_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/enc_msa.c
        ../../../3rdparty/libwebp/src/dsp/enc_sse2.c
        ../../../3rdparty/libwebp/src/dsp/enc_sse41.c
        ../../../3rdparty/libwebp/src/dsp/filters.c
        ../../../3rdparty/libwebp/src/dsp/filters_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/filters_msa.c
        ../../../3rdparty/libwebp/src/dsp/filters_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_mips32.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_msa.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_sse41.c
        ../../../3rdparty/libwebp/src/dsp/lossless_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_sse2.c
        ../../../3rdparty/libwebp/src/dsp/lossless_sse41.c
        ../../../3rdparty/libwebp/src/dsp/rescaler.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_mips32.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_msa.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_sse2.c
        ../../../3rdparty/libwebp/src/dsp/ssim.c
        ../../../3rdparty/libwebp/src/dsp/ssim_sse2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_msa.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_sse2.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_sse41.c
        ../../../3rdparty/libwebp/src/dsp/yuv.c
        ../../../3rdparty/libwebp/src/dsp/yuv_mips32.c
        ../../../3rdparty/libwebp/src/dsp/yuv_mips_dsp_r2.c
        ../../../3rdparty/libwebp/src/dsp/yuv_sse2.c
        ../../../3rdparty/libwebp/src/dsp/yuv_sse41.c
        ../../../3rdparty/libwebp/src/enc/alpha_enc.c
        ../../../3rdparty/libwebp/src/enc/analysis_enc.c
        ../../../3rdparty/libwebp/src/enc/backward_references_cost_enc.c
        ../../../3rdparty/libwebp/src/enc/backward_references_enc.c
        ../../../3rdparty/libwebp/src/enc/config_enc.c
        ../../../3rdparty/libwebp/src/enc/cost_enc.c
        ../../../3rdparty/libwebp/src/enc/filter_enc.c
        ../../../3rdparty/libwebp/src/enc/frame_enc.c
        ../../../3rdparty/libwebp/src/enc/histogram_enc.c
        ../../../3rdparty/libwebp/src/enc/iterator_enc.c
        ../../../3rdparty/libwebp/src/enc/near_lossless_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_csp_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_psnr_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_rescale_enc.c
        ../../../3rdparty/libwebp/src/enc/picture_tools_enc.c
        ../../../3rdparty/libwebp/src/enc/predictor_enc.c
        ../../../3rdparty/libwebp/src/enc/quant_enc.c
        ../../../3rdparty/libwebp/src/enc/syntax_enc.c
        ../../../3rdparty/libwebp/src/enc/token_enc.c
        ../../../3rdparty/libwebp/src/enc/tree_enc.c
        ../../../3rdparty/libwebp/src/enc/vp8l_enc.c
        ../../../3rdparty/libwebp/src/enc/webp_enc.c
        ../../../3rdparty/libwebp/src/mux/anim_encode.c
        ../../../3rdparty/libwebp/src/mux/muxedit.c
        ../../../3rdparty/libwebp/src/mux/muxinternal.c
        ../../../3rdparty/libwebp/src/mux/muxread.c
        ../../../3rdparty/libwebp/src/utils/bit_reader_utils.c
        ../../../3rdparty/libwebp/src/utils/bit_writer_utils.c
        ../../../3rdparty/libwebp/src/utils/color_cache_utils.c
        ../../../3rdparty/libwebp/src/utils/filters_utils.c
        ../../../3rdparty/libwebp/src/utils/huffman_encode_utils.c
        ../../../3rdparty/libwebp/src/utils/huffman_utils.c
        ../../../3rdparty/libwebp/src/utils/quant_levels_dec_utils.c
        ../../../3rdparty/libwebp/src/utils/quant_levels_utils.c
        ../../../3rdparty/libwebp/src/utils/random_utils.c
        ../../../3rdparty/libwebp/src/utils/rescaler_utils.c
        ../../../3rdparty/libwebp/src/utils/thread_utils.c
        ../../../3rdparty/libwebp/src/utils/utils.c
    INCLUDE_DIRECTORIES
        ../../../3rdparty/libwebp
        ../../../3rdparty/libwebp/sharpyuv
        ../../../3rdparty/libwebp/src
        ../../../3rdparty/libwebp/src/dec
        ../../../3rdparty/libwebp/src/dsp
        ../../../3rdparty/libwebp/src/enc
        ../../../3rdparty/libwebp/src/mux
        ../../../3rdparty/libwebp/src/utils
        ../../../3rdparty/libwebp/src/webp
)

qt_internal_extend_target(QWebpPlugin CONDITION ANDROID AND NOT ANDROID_EMBEDDED AND NOT QT_FEATURE_system_webp
    SOURCES
        ${CMAKE_ANDROID_NDK}/sources/android/cpufeatures/cpu-features.c   # special case
    INCLUDE_DIRECTORIES
        ${CMAKE_ANDROID_NDK}/sources/android/cpufeatures                  # special case
)

# special case begin
set(neon_sources
        ../../../3rdparty/libwebp/sharpyuv/sharpyuv_neon.c
        ../../../3rdparty/libwebp/src/dsp/alpha_processing_neon.c
        ../../../3rdparty/libwebp/src/dsp/dec_neon.c
        ../../../3rdparty/libwebp/src/dsp/enc_neon.c
        ../../../3rdparty/libwebp/src/dsp/filters_neon.c
        ../../../3rdparty/libwebp/src/dsp/lossless_enc_neon.c
        ../../../3rdparty/libwebp/src/dsp/lossless_neon.c
        ../../../3rdparty/libwebp/src/dsp/rescaler_neon.c
        ../../../3rdparty/libwebp/src/dsp/upsampling_neon.c
        ../../../3rdparty/libwebp/src/dsp/yuv_neon.c
)

if(NOT QT_FEATURE_system_webp)
    if(ANDROID)
        qt_internal_extend_target(QWebpPlugin
            CONDITION (CMAKE_ANDROID_ARM_NEON OR CMAKE_ANDROID_ARCH_ABI STREQUAL "arm64-v8a")
            SOURCES ${neon_sources}
        )
    else()
        # For universal macOS and iOS, and other platforms that support neon
        qt_internal_add_simd_part(QWebpPlugin SIMD neon SOURCES ${neon_sources})
    endif()
endif()
# special case end

#### Keys ignored in scope 6:.:../../../3rdparty:../../../3rdparty/libwebp.pri:INTEGRITY:
# QMAKE_CFLAGS = "-c99"

#### Keys ignored in scope 12:.:../../../3rdparty:../../../3rdparty/libwebp.pri:else:
# QMAKE_EXTRA_COMPILERS = "neon_comp"
# neon_comp.commands = "$$QMAKE_CC" "-c" "$(CFLAGS)" "$$QMAKE_CFLAGS_NEON" "$(INCPATH)" "${QMAKE_FILE_IN}"
# neon_comp.dependency_type = "TYPE_C"
# neon_comp.input = "SOURCES_FOR_NEON"
# neon_comp.name = "compiling[neon]" "${QMAKE_FILE_IN}"
# neon_comp.output = "${QMAKE_VAR_OBJECTS_DIR}${QMAKE_FILE_BASE}$${firstQMAKE_EXT_OBJ}"
# neon_comp.variable_out = "OBJECTS"

#### Keys ignored in scope 13:.:../../../3rdparty:../../../3rdparty/libwebp.pri:MSVC:
# neon_comp.commands = "-Fo${QMAKE_FILE_OUT}"

#### Keys ignored in scope 14:.:../../../3rdparty:../../../3rdparty/libwebp.pri:else:
# neon_comp.commands = "-o" "${QMAKE_FILE_OUT}"

#### Keys ignored in scope 15:.:../../../3rdparty:../../../3rdparty/libwebp.pri:silent:
# neon_comp.commands = "@echo" "compiling[neon]" "${QMAKE_FILE_IN}" "&&"

=== debian/changelog ===
qtimageformats-opensource-src (5.15.15-4) unstable; urgency=medium

  * Backport upstream patch to fix validation issue for ICNS image
    (CVE-2025-5683, closes: #1107318).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jun 2025 10:57:26 +0300

qtimageformats-opensource-src (5.15.15-3) unstable; urgency=medium

  * Add a patch to reject broken MNG images, backported from qtbase 6.0
    (CVE-2020-23884, closes: #1014124).
  * Add debian/clean file (closes: #1046162).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 29 Oct 2024 00:08:53 +0300

qtimageformats-opensource-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:42:28 +0300

qtimageformats-opensource-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Sep 2024 16:51:44 +0300

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.13+dfsg~)
-Standards-Version: 4.6.2
+               qtbase5-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git

## qtimageformats-opensource-src 5.15.17

=== src/plugins/imageformats/tiff/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from tiff.pro.

#####################################################################
## QTiffPlugin Plugin:
#####################################################################

# special case begin
# Handle the conditional finding of either system zlib or qt zlib.
if(NOT QT_FEATURE_system_zlib)
    find_package(Qt6 COMPONENTS ZlibPrivate)
elseif(NOT TARGET WrapZLIB::WrapZLIB)
    qt_find_package(WrapZLIB PROVIDED_TARGETS WrapZLIB::WrapZLIB)
endif()
# special case end

qt_internal_add_plugin(QTiffPlugin
    OUTPUT_NAME qtiff
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qtiffhandler.cpp qtiffhandler_p.h
    LIBRARIES
        Qt::Core
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:tiff.pro:<TRUE>:
# OTHER_FILES = "tiff.json"
# QT_FOR_CONFIG = "imageformats-private"

## Scopes:
#####################################################################

qt_internal_extend_target(QTiffPlugin CONDITION QT_FEATURE_system_tiff
    LIBRARIES
        TIFF::TIFF
)

qt_internal_extend_target(QTiffPlugin CONDITION NOT QT_FEATURE_system_tiff
    SOURCES
        ../../../3rdparty/libtiff/libtiff/tif_aux.c
        ../../../3rdparty/libtiff/libtiff/tif_close.c
        ../../../3rdparty/libtiff/libtiff/tif_codec.c
        ../../../3rdparty/libtiff/libtiff/tif_color.c
        ../../../3rdparty/libtiff/libtiff/tif_compress.c
        ../../../3rdparty/libtiff/libtiff/tif_dir.c
        ../../../3rdparty/libtiff/libtiff/tif_dirinfo.c
        ../../../3rdparty/libtiff/libtiff/tif_dirread.c
        ../../../3rdparty/libtiff/libtiff/tif_dirwrite.c
        ../../../3rdparty/libtiff/libtiff/tif_dumpmode.c
        ../../../3rdparty/libtiff/libtiff/tif_error.c
        ../../../3rdparty/libtiff/libtiff/tif_extension.c
        ../../../3rdparty/libtiff/libtiff/tif_fax3.c
        ../../../3rdparty/libtiff/libtiff/tif_fax3sm.c
        ../../../3rdparty/libtiff/libtiff/tif_flush.c
        ../../../3rdparty/libtiff/libtiff/tif_getimage.c
        ../../../3rdparty/libtiff/libtiff/tif_hash_set.c
        ../../../3rdparty/libtiff/libtiff/tif_luv.c
        ../../../3rdparty/libtiff/libtiff/tif_lzw.c
        ../../../3rdparty/libtiff/libtiff/tif_next.c
        ../../../3rdparty/libtiff/libtiff/tif_open.c
        ../../../3rdparty/libtiff/libtiff/tif_packbits.c
        ../../../3rdparty/libtiff/libtiff/tif_pixarlog.c
        ../../../3rdparty/libtiff/libtiff/tif_predict.c
        ../../../3rdparty/libtiff/libtiff/tif_print.c
        ../../../3rdparty/libtiff/libtiff/tif_read.c
        ../../../3rdparty/libtiff/libtiff/tif_strip.c
        ../../../3rdparty/libtiff/libtiff/tif_swab.c
        ../../../3rdparty/libtiff/libtiff/tif_thunder.c
        ../../../3rdparty/libtiff/libtiff/tif_tile.c
        ../../../3rdparty/libtiff/libtiff/tif_version.c
        ../../../3rdparty/libtiff/libtiff/tif_warning.c
        ../../../3rdparty/libtiff/libtiff/tif_write.c
        ../../../3rdparty/libtiff/libtiff/tif_zip.c
    INCLUDE_DIRECTORIES
        ../../../3rdparty/libtiff/libtiff
)

qt_internal_extend_target(QTiffPlugin CONDITION WIN32 AND NOT QT_FEATURE_system_tiff
    SOURCES
        ../../../3rdparty/libtiff/libtiff/tif_win32.c
)

qt_internal_extend_target(QTiffPlugin CONDITION UNIX AND NOT QT_FEATURE_system_tiff
    SOURCES
        ../../../3rdparty/libtiff/libtiff/tif_unix.c
)

qt_internal_extend_target(QTiffPlugin CONDITION QT_FEATURE_system_zlib AND NOT QT_FEATURE_system_tiff
    LIBRARIES
        WrapZLIB::WrapZLIB
)

qt_internal_extend_target(QTiffPlugin CONDITION NOT QT_FEATURE_system_tiff AND NOT QT_FEATURE_system_zlib
    LIBRARIES
        Qt::ZlibPrivate
)

=== src/plugins/imageformats/webp/CMakeLists.txt ===
--- 
+++ 
@@ -134,6 +134,7 @@
         ../../../3rdparty/libwebp/src/utils/filters_utils.c
         ../../../3rdparty/libwebp/src/utils/huffman_encode_utils.c
         ../../../3rdparty/libwebp/src/utils/huffman_utils.c
+        ../../../3rdparty/libwebp/src/utils/palette.c
         ../../../3rdparty/libwebp/src/utils/quant_levels_dec_utils.c
         ../../../3rdparty/libwebp/src/utils/quant_levels_utils.c
         ../../../3rdparty/libwebp/src/utils/random_utils.c

=== debian/changelog ===
qtimageformats-opensource-src (5.15.17-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:01:26 +0300

qtimageformats-opensource-src (5.15.17-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Update years in debian/copyright.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 22:41:00 +0300

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.15+dfsg~),
-               qtbase5-private-dev (>= 5.15.15+dfsg~)
-Standards-Version: 4.7.0
+               qtbase5-dev (>= 5.15.17+dfsg~),
+               qtbase5-private-dev (>= 5.15.17+dfsg~)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git

## qtimageformats-opensource-src 5.15.17+p24.04+vrelease+git20250828.1339

=== debian/changelog ===
qtimageformats-opensource-src (5.15.17+p24.04+vrelease+git20250828.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:39:39 +0000

qtimageformats-opensource-src (5.15.17-0neon) noble; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtimageformats-opensource-src (5.15.13-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Mar 2024 20:59:13 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtimageformats-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -9,16 +8,17 @@
            Patrick Franz <deltaone@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1),
+               libjasper-dev,
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.17+dfsg~),
-               qtbase5-private-dev (>= 5.15.17+dfsg~)
-Standards-Version: 4.7.2
+               qtbase5-dev (>= 5.15.13+dfsg~)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats
+Vcs-Git: https://invent.kde.org/neon/qt/qtimageformats.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtimageformats
+Maintainer: Neon CI <neon@kde.org>
 
 Package: qt5-image-formats-plugins
 Architecture: any

## qtimageformats-opensource-src 5.15.17+p24.04+vstable+git20250828.1332

=== debian/changelog ===
qtimageformats-opensource-src (5.15.17+p24.04+vstable+git20250828.1332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:32:42 +0000

## qtimageformats-opensource-src 5.15.18

=== debian/changelog ===
qtimageformats-opensource-src (5.15.18-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:52:05 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtimageformats-opensource-src
 Section: libs
-Priority: optional
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -8,17 +8,15 @@
            Patrick Franz <deltaone@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1),
-               libjasper-dev,
                libmng-dev,
                libtiff-dev,
                libwebp-dev (>= 0.4.0-4.1~),
-               qtbase5-dev (>= 5.15.13+dfsg~)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+               qtbase5-dev (>= 5.15.18+dfsg~),
+               qtbase5-private-dev (>= 5.15.18+dfsg~)
+Standards-Version: 4.7.3
 Homepage: https://doc.qt.io/qt-5/qtimageformats-index.html
-Vcs-Git: https://invent.kde.org/neon/qt/qtimageformats.git
-Vcs-Browser: https://invent.kde.org/neon/qt/qtimageformats
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtimageformats.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtimageformats
 
 Package: qt5-image-formats-plugins
 Architecture: any
